Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class PanelMenuGroupTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.PanelMenuGroupTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PanelMenuGroupTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PanelMenuGroupTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAccesskey(java.lang.String __accesskey)`
`void` | `setAction(java.lang.String __action)`
`void` | `setActionListener(java.lang.String __actionListener)`
`void` | `setAlign(java.lang.String __align)`
`void` | `setAlt(java.lang.String __alt)`
`void` | `setConverterMessage(java.lang.String __converterMessage)`
`void` | `setDisabled(java.lang.String __disabled)`
`void` | `setDisabledClass(java.lang.String __disabledClass)`
`void` | `setDisabledStyle(java.lang.String __disabledStyle)`
`void` | `setExpanded(java.lang.String __expanded)`
`void` | `setExpandMode(java.lang.String __expandMode)`
`void` | `setHoverClass(java.lang.String __hoverClass)`
`void` | `setHoverStyle(java.lang.String __hoverStyle)`
`void` | `setIconClass(java.lang.String __iconClass)`
`void` | `setIconCollapsed(java.lang.String __iconCollapsed)`
`void` | `setIconDisabled(java.lang.String __iconDisabled)`
`void` | `setIconExpanded(java.lang.String __iconExpanded)`
`void` | `setIconStyle(java.lang.String __iconStyle)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setLabel(java.lang.String __label)`
`void` | `setLocalValueSet(java.lang.String __localValueSet)`
`void` | `setMaxlength(java.lang.String __maxlength)`
`void` | `setName(java.lang.String __name)`
`void` | `setOnblur(java.lang.String __onblur)`
`void` | `setOnchange(java.lang.String __onchange)`
`void` | `setOncollapse(java.lang.String __oncollapse)`
`void` | `setOnexpand(java.lang.String __onexpand)`
`void` | `setOnfocus(java.lang.String __onfocus)`
`void` | `setOnselect(java.lang.String __onselect)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(java.lang.String __required)`
`void` | `setRequiredMessage(java.lang.String __requiredMessage)`
`void` | `setSize(java.lang.String __size)`
`void` | `setTabindex(java.lang.String __tabindex)`
`void` | `setTarget(java.lang.String __target)`
`void` | `setValid(java.lang.String __valid)`
`void` | `setValidator(java.lang.String __validator)`
`void` | `setValidatorMessage(java.lang.String __validatorMessage)`
`void` | `setValueChangeListener(java.lang.String __valueChangeListener)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelMenuGroupTag

    public PanelMenuGroupTag()

Method Detail

### setHoverClass

    public void setHoverClass(java.lang.String __hoverClass)

### setDisabledStyle

    public void setDisabledStyle(java.lang.String __disabledStyle)

### setHoverStyle

    public void setHoverStyle(java.lang.String __hoverStyle)

### setOnchange

    public void setOnchange(java.lang.String __onchange)

### setOnexpand

    public void setOnexpand(java.lang.String __onexpand)

### setRequiredMessage

    public void setRequiredMessage(java.lang.String __requiredMessage)

### setSize

    public void setSize(java.lang.String __size)

### setOncollapse

    public void setOncollapse(java.lang.String __oncollapse)

### setDisabledClass

    public void setDisabledClass(java.lang.String __disabledClass)

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

### setMaxlength

    public void setMaxlength(java.lang.String __maxlength)

### setDisabled

    public void setDisabled(java.lang.String __disabled)

### setValid

    public void setValid(java.lang.String __valid)

### setAlt

    public void setAlt(java.lang.String __alt)

### setValidator

    public void setValidator(java.lang.String __validator)

### setOnselect

    public void setOnselect(java.lang.String __onselect)

### setIconStyle

    public void setIconStyle(java.lang.String __iconStyle)

### setExpandMode

    public void setExpandMode(java.lang.String __expandMode)

### setActionListener

    public void setActionListener(java.lang.String __actionListener)

### setIconClass

    public void setIconClass(java.lang.String __iconClass)

### setLocalValueSet

    public void setLocalValueSet(java.lang.String __localValueSet)

### setIconExpanded

    public void setIconExpanded(java.lang.String __iconExpanded)

### setTarget

    public void setTarget(java.lang.String __target)

### setIconDisabled

    public void setIconDisabled(java.lang.String __iconDisabled)

### setIconCollapsed

    public void setIconCollapsed(java.lang.String __iconCollapsed)

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

### setAlign

    public void setAlign(java.lang.String __align)

### setName

    public void setName(java.lang.String __name)

### setOnblur

    public void setOnblur(java.lang.String __onblur)

### setAction

    public void setAction(java.lang.String __action)

### setRequired

    public void setRequired(java.lang.String __required)

### setValidatorMessage

    public void setValidatorMessage(java.lang.String __validatorMessage)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String __valueChangeListener)

### setConverterMessage

    public void setConverterMessage(java.lang.String __converterMessage)

### setLabel

    public void setLabel(java.lang.String __label)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

### setExpanded

    public void setExpanded(java.lang.String __expanded)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.